//*****************************************************************************
//
// mcu.h
//
// Copyright (c) 2015 Texas Instruments Incorporated - http://www.ti.com/
// ALL RIGHTS RESERVED
//
//*****************************************************************************
#ifndef __MCU_H__
#define __MCU_H__

// Include Header Files
#ifdef TI_RTOS
#include <xdc/cfg/global.h>
#include <ti/sysbios/BIOS.h>
#include <ti/drivers/GPIO.h>
#else
#include "msp430.h"
#include "gpio.h"
#endif

//#include <stdint.h>
//#include <string.h>
#include <stdbool.h>
//#include "types.h"
#include "nfc_config.h"
//#include "config.h"

typedef unsigned char BYTE;
typedef unsigned char * PBYTE;
#ifdef TI_RTOS
#define IRQ_INT_ON				GPIO_enableInt( Board_TRF7970A_IRQ );
#define IRQ_INT_OFF             GPIO_disableInt( Board_TRF7970A_IRQ );
#else
#define IRQ_INT_ON				GPIO_enableInterrupt(TRF_IRQ_PORT, TRF_IRQ);
#define IRQ_INT_OFF				GPIO_disableInterrupt(TRF_IRQ_PORT, TRF_IRQ);
#endif
#ifdef TI_RTOS
#define IRQ_IS_SET()            (1U == GPIO_read(Board_TRF7970A_IRQ))
#else
#define IRQ_IS_SET()           	(TRF_IRQ_PIN & TRF_IRQ) // GPIO_getInputPinValue(TRF_IRQ_PORT, TRF_IRQ)
#endif
#define CDC0_INTFNUM                0

#ifndef false
enum BOOL_FLAG { false, true };
#endif

extern bool g_bSerialConnectionEstablished;
extern volatile uint8_t g_ui8BytesReceived;

//uint8_t g_direct_mode = 0;

//
// Function Prototypes
//
void MCU_init();
void MCU_delayMillisecond(uint32_t n_ms);
void MCU_delayMicrosecond(uint32_t n_us);
void MCU_clockInit();
void MCU_portInit();
void MCU_timerInit(uint16_t timeout_ms, uint8_t * timeout_flag);
void MCU_timerDisable();


void Serial_init(void);
void Serial_printf(char * pui8String,tNFCHostCommands eCmdType);
void Serial_printBuffer(char * pui8String, uint8_t ui8Length, tNFCHostCommands eCmdType);

extern
uint8_t convertNibbleToAscii(uint8_t ui8Nibble);

extern
void convertByteToAscii(uint8_t ui8byte, uint8_t pui8Buffer[3]);

extern
void convertWordToAscii(uint16_t ui16Word, uint8_t pui8Buffer[5]);

#endif
