//*****************************************************************************
//
// nfc_ce.h - NFC-B definitions
//
// Copyright (c) 2015 Texas Instruments Incorporated - http://www.ti.com/
// ALL RIGHTS RESERVED
//
//*****************************************************************************
#ifndef __NFC_CE_H__
#define __NFC_CE_H__

// TRF7970 Header
#include "trf79x0.h"

#include "nfc_config.h"

#define CE_FW_VERSION		"1.00.11x"

typedef union
{
    struct {
        uint8_t bT4TAEnabled  	: 1;    /*! Type 4 Tag A */
        uint8_t bT4TBEnabled	: 1;    /*! Type 4 Tag B */
        uint8_t bT3TEnabled     : 1;	/*! Type 3 Tag (not implemented) */
        uint8_t reserved     	: 5;    /*! Reserved bits         */
    }bits;
    uint8_t     ui8byte;             /*! Whole status byte access */
}t_sNfcCEMode;

#endif
