//*****************************************************************************
//
// nfc_spi.h - Implementation of SPI
//
// Copyright (c) 2015 Texas Instruments Incorporated - http://www.ti.com/
// ALL RIGHTS RESERVED
//
//*****************************************************************************
#ifndef _NFC_SPI_H_
#define _NFC_SPI_H_


#include "mcu.h"
#include "types.h"
#include "trf79x0.h"
#ifdef TI_RTOS
#include <ti/drivers/SPI.h>
#else
#include "usci_b_spi.h"
#endif

//
// Macro definitions
//


//
// Type definitions
//
#ifdef TI_RTOS
typedef struct Nfc_Info
{
	int State;
	SPI_Handle hMasterSPI;
}Nfc_Info_t;
#endif

//
// Global variables
//
extern Nfc_Info_t NFCInfo;

//
// Function Prototypes
//
void SPI_directCommand(uint8_t command);
void SPI_usciSet(void);
void SPI_rawWrite(uint8_t *pbuf, uint8_t length);
void SPI_readSingle(uint8_t *pbuf, uint8_t reg);
void SPI_readCont(uint8_t *pbuf, uint8_t reg, uint8_t length);
void SPI_setup(void);
void SPI_writeSingle(uint8_t data, uint8_t reg);
void SPI_writeCont(uint8_t *pbuf, uint8_t reg, uint8_t length);
void SPI_writePacket(uint8_t *pbuf, uint8_t crc_bit, uint8_t total_length, uint8_t payload_length, bool header_enable, uint8_t broken_bits, bool bNFCAHeader);
void SPI_Callback(SPI_Handle handle, SPI_Transaction *transaction);

#endif
