//*****************************************************************************
//
// nfc_uart.h
//
// Copyright (c) 2015 Texas Instruments Incorporated - http://www.ti.com/
// ALL RIGHTS RESERVED
//
//*****************************************************************************
#ifndef _NFC_UART_H_
#define _NFC_UART_H_


#include "mcu.h"


//#define BAUD0	0x45	//baud rate generator = 115200 for 8 MHz Clock
#define BAUD0	0x8A	//baud rate generator = 115200 for 16 MHz Clock
#define BAUD1	0x00

void UART_setup (void);
void UART_disableISR(void);
void UART_setupReceiveBuffer(uint8_t buffer_size, uint8_t * rx_buffer_ptr);
uint8_t UART_getPacketLength(void);
bool UART_receivePacket(void);

// Debugging calls
void UART_sendString(char *pstr);
void UART_sendChar(uint8_t tx_char);
void UART_sendByte(uint8_t abyte);

#endif
