//*****************************************************************************
//
// io.h - Prototypes for I/O routines for the enet_io example.
//
// Copyright (c) 2015 Texas Instruments Incorporated - http://www.ti.com/
// ALL RIGHTS RESERVED
//
//*****************************************************************************

#ifndef __IO_H__
#define __IO_H__

#ifdef __cplusplus
extern "C"
{
#endif

//*****************************************************************************
//
// Exported global variables.
//
//*****************************************************************************
extern volatile unsigned long g_ui32AnimSpeed;
extern volatile unsigned long g_ui32timer2count;
extern volatile unsigned long g_ui32SW1Presses;
extern volatile unsigned long g_ui32SW2Presses;
extern volatile unsigned long g_ui32InternalTempF;
extern volatile unsigned long g_ui32InternalTempC;
extern volatile unsigned long g_ui32TimerIntCount;
extern volatile unsigned long g_ui32SecondsOnTime;
extern volatile unsigned long g_ui32LED_Status;
extern volatile unsigned long g_ui32LED_Toggle_Status;
extern volatile unsigned long g_ui32Temperature_U;

//*****************************************************************************
//
// External function prototypes.
//
//*****************************************************************************
void IoInit(void);
unsigned int Decimal2String(char* pcBuf, int number);
void IoSetTimer(unsigned long ui32SpeedPercent);
unsigned int String2Decimal(char *pcBuf);

#ifdef __cplusplus
}
#endif

#endif // __IO_H__
