//*****************************************************************************
//
// trf7970BoosterPack.c
//
// Copyright (c) 2015 Texas Instruments Incorporated - http://www.ti.com/
// ALL RIGHTS RESERVED
//
//*****************************************************************************

#ifdef TI_RTOS
#include <xdc/cfg/global.h>
#include <ti/sysbios/BIOS.h>
#include <ti/drivers/GPIO.h>
#include "Board.h"
#endif

#include <stdbool.h>
#include <stdint.h>
#include "driverlib/sysctl.h"

/* CPU Clock Frequency (Hz) */
#define CPU_CLOCK_FREQUENCY     (120000000U)
/* 1 second delay (3 cycles per SysCtlDelay call) */
#define TRF7970A_DELAY_1S       (CPU_CLOCK_FREQUENCY/3U)
/* 1 millisecond delay */
#define TRF7970A_DELAY_1MS      (TRF7970A_DELAY_1S/1000)
/* 1 microsecond delay */
#define TRF7970A_DELAY_1US      (TRF7970A_DELAY_1S/1000000)

#define USE_DELAY 1


void MCU_delayMicrosecond( unsigned int UtilMarks )
{
	if( UtilMarks < 1 )
	{
		SysCtlDelay(TRF7970A_DELAY_1US);
	}
	else
	{
		SysCtlDelay(TRF7970A_DELAY_1US * UtilMarks);
	}
}

void MCU_delayMillisecond( unsigned int UtilMarks )
{
#if USE_DELAY
	if( UtilMarks < 1 )
	{
		SysCtlDelay(TRF7970A_DELAY_1MS);
	}
	else
	{
		SysCtlDelay(TRF7970A_DELAY_1MS * UtilMarks);
	}
#else
	TimerSet(UtilMarks);
	Semaphore_pend( Semaphore_NFC, BIOS_WAIT_FOREVER );
	TimerSet(0);
#endif
}

