/*
 * trf7970BoosterPack.h
 *
 * Copyright (c) 2015 Texas Instruments Incorporated - http://www.ti.com/
 * ALL RIGHTS RESERVED
 *
*/

#ifndef _Trf7970BOOSTERPACK_H_
#define _Trf7970BOOSTERPACK_H_

//================================================================


#include <stdint.h>
#include "types.h"



#define	_BOARD_H



/*  This macro is for use by other macros to form a fully valid C statement.  */
#define st(x)      do { x } while (__LINE__ == -1)


#define COUNT_1ms 80000
#define IRQ_CLR GPIOIntClear(GPIOA0_BASE, GPIO_PIN_7); //GPIO 7
#define IRQ_ON  GPIOIntEnable(GPIOA0_BASE,GPIO_PIN_7);
#define IRQ_OFF GPIOIntDisable(GPIOA0_BASE,GPIO_PIN_7);
#define START_COUNTER A2CounterEnable();
#define RESET_COUNTER A2CounterDisable();
#define TRF_OFF GPIO_Clear(11);
#define TRF_ON GPIO_Set(11);
#define SPI_CS_ON GPIO_Set(10);

#define LED_15693_ON GPIO_Set(22);
#define LED_15693_OFF GPIO_Clear(22);

#define LED_14443A_OFF GPIO_Clear(22);
#define LED_14443A_ON GPIO_Set(22);



void Delay(unsigned long interval);
void McuDelayMillisecond(unsigned int ui_delay_in_msec);






//===============================================================

#define TRIGGER        0                        // if TRIGGER 1 trigger-point at LED 5

//=====MCU constants=============================================


// IRQ on P2.0
// rising edge interrupt
#define IRQ_PIN             BIT7
#define IRQ_PORT            HWREG(GPIOA1_BASE + GPIO_O_GPIO_RIS)





// Hard code to only SPI mode
#define SPIMODE             1

// CSn

//-----Counter-timer constants-----------------------------------


//---------------------------------------------------------------
// Set timer capture register value based on clock source


//---------------------------------------------------------------

// 25MHz clock


//===============================================================












#endif
